[
  {
    blockid=prop;
    custom=com.netscape.management.msgserv.folders.FPropControl;
    localvar=
    {
      .label.size = 100;
      .comp.space.sep = 15;

      .prettyname.label="\u663e\u793a\u540d\u79f0 :";
      .description.label="\u8bf4\u660e :";

      .node.prop.posts.remoteandlocal.label="\u5141\u8bb8\u672c\u5730\u548c\u8fdc\u7a0b\u5f20\u8d34";
      .node.prop.posts.remoteonly.label="\u53ea\u5141\u8bb8\u8fdc\u7a0b\u5f20\u8d34 (\u53ea\u5141\u8bb8\u6295\u5bc4)";
      .node.prop.posts.junk.label="\u4e0d\u4fdd\u7559\u6b64\u6587\u4ef6\u5939\u7684\u6587\u7ae0\uff0c\u800c\u5c06\u5b83\u4eec\u4f20\u9001\u5230\u6295\u5bc4\u70b9";
      .node.prop.moderated.label="\u4e2d\u4ecb\u4e3b\u6301\u8ba8\u8bba\u5e76\u901a\u8fc7\u7535\u5b50\u90ae\u4ef6\u5c06\u5f20\u8d34\u5185\u5bb9\u53d1\u9001\u5230:";
      .node.prop.alias.label="\u8be5\u6587\u4ef6\u5939\u662f\u4ee5\u4e0b\u5185\u5bb9\u7684\u53c2\u8003:"

       .node.gateway.border=[titled, "Gateway"];
       .node.gateway.mailtonews.label="\u7535\u5b50\u90ae\u4ef6\u6536\u4ef6\u4eba\u5730\u5740 :";
       .node.gateway.newstomail.label="\u901a\u8fc7\u7535\u5b50\u90ae\u4ef6\u5c06\u5f20\u8d34\u5185\u5bb9\u53d1\u9001\u5230:";
    };

    content=
    [
      { /* outermost pane */
        ctrl=pane;
        layout=[ybox];
        content=
        [ /* contents */

          { /* label indicating newsgroup name */
            ctrl=label;
            text=$folder.node.name;
            icon=$folder.node.icon;
          }, /* label indicating newsgroup name */

          { /* component space */
            ctrl=vstrut;
            size=$.comp.space.sep;
          }, /* component space */

          { /* separator */
            ctrl=separator;
          }, /* separator */

          { /* component space */
            ctrl=vstrut;
            size=$.comp.space.sep;
          }, /* component space */

          { /* properties */
            ctrl=pane;
            layout=[ybox];
            content=
            [ /* properties contents */

              { /* pretty name */
                ctrl=pane;
                layout=[xbox];
                content=
                [ /* pretty name contents */

                  { /* label */
                    ctrl=label;
                    text=$.prettyname.label;
                    alignh=right;
                    aligny=0.5;
                    wrap=$.label.size;
                    id=prettyname;
                  }, /* label */

                  { /* component space */
                    ctrl=rigid;
                  }, /* component space */

                  { /* textfield */
                    ctrl=text;
                    aligny=0.5;
                    label=prettyname;
                    val=$folder.node.prettyname;
                  }

                ]; /* pretty name contents */
              }, /* pretty name */

              { /* component space */
                ctrl=vstrut;
                size=$g.comp.space;
              }, /* component space */

              { /* description */
                ctrl=pane;
                layout=[xbox];
                content=
                [ /* description contents */

                  { /* label */
                    ctrl=label;
                    text=$.description.label;
                    alignh=right;
                    aligny=0.5;
                    wrap=$.label.size;
                    id=description;
                  }, /* label */

                  { /* component space */
                    ctrl=rigid;
                  }, /* component space */

                  { /* textfield */
                    ctrl=text;
                    aligny=0.5;
                    label=description;
                    val=$folder.node.desc;
                  }

                ]; /* description contents */
              }, /* description */

              { /* component space */
                ctrl=vstrut;
                size=$.comp.space.sep;
              }, /* component space */

              { /* separator */
                ctrl=separator;
              }, /* separator */

              { /* component space */
                ctrl=vstrut;
                size=$g.comp.space.sep;
              }, /* component space */

              { /* allow remote + local posts */
                ctrl=togglepane;
                style=radio;
                text=$.node.prop.posts.remoteandlocal.label;
                group=postproperties;
                id=localandremote;
              }, /* allow remote + local posts */

              { /* component space */
                ctrl=vstrut;
                size=$g.comp.space;
              }, /* component space */

              { /* allow remote only posts */
                ctrl=togglepane;
                style=radio;
                text=$.node.prop.posts.remoteonly.label;
                group=postproperties;
                id=remoteonly;
              }, /* allow remote only posts */

              { /* component space */
                ctrl=vstrut;
                size=$g.comp.space;
              }, /* component space */

              { /* transit posts */
                ctrl=togglepane;
                style=radio;
                text=$.node.prop.posts.junk.label;
                group=postproperties;
                id=transit;
              }, /* transit posts */

              { /* component space */
                ctrl=vstrut;
                size=$.comp.space;
              }, /* component space */

              { /* moderated newsgroups */
                ctrl=togglepane;
                style=radio;
                inline=true;
                text=$.node.prop.moderated.label;
                id=moderated;
                group=postproperties;
                content=
                [ /* moderator's e-mail */

                  { /* moderator's e-mail */
                    ctrl=text;
                    val=$folder.node.moderators;
                    id=moderators;
                  } /* moderator's e-mail */

                ]; /* moderator's e-mail */
              }, /* moderaged newsgroups */

              { /* component space */
                ctrl=vstrut;
                size=$g.comp.space;
              }, /* component space */

              { /* alias for another newsgroup */
                ctrl=togglepane;
                style=radio;
                inline=true;
                text=$.node.prop.alias.label;
                group=postproperties;
                id=referral;
                content=
                [ /* alias for ng */

                  { /* alias for ng */
                    ctrl=text;
                    val=$folder.node.referredfolder;
                    id=referredfolder;
                  } /* alias for ng */

                ]; /* alias for ng */
              }, /* alias for another newsgroup */

              { /* component space */
                ctrl=vstrut;
                size=$.comp.space.sep;
              }, /* component space */

              { /* separator */
                ctrl=separator;
              }, /* separator */

              { /* component space */
                ctrl=vstrut;
                size=$g.comp.space.sep;
              }, /* component space */

              { /* gateway options */
                ctrl=pane;
                layout=[ybox];
                border=$.node.gateway.border;
                content=
                [ /* gateway options contents */

                  { /* mail to news */
                    ctrl=togglepane;
                    style=checkbox;
                    text=$.node.gateway.mailtonews.label;
                    id=mailtonews;
                    val=$folder.node.domailtonews;
                    inline=true;
                    content=
                    [ /* mail recipient address */

                      {
                        ctrl=text;
                        val=$folder.node.smtpaddress;
                        id=smtpaddress;
                      }

                    ]; /* mail recipient address */
                  }, /* mail to news */

                  { /* component space */
                    ctrl=vstrut;
                    size=$g.comp.space;
                  }, /* component space */

                  { /* news to mail */
                    ctrl=togglepane;
                    style=checkbox;
                    text=$.node.gateway.newstomail.label;
                    id=newstomail;
                    val=$folder.node.donewstomail;
                    inline=true;
                    content=
                    [ /* mail gateway address */

                      {
                        ctrl=text;
                        val=$folder.node.mailgateway;
                        id=mailgateway;
                      }

                    ]; /* mail gateway address */
                  } /* news to mail */

                ]; /* gateway options contents */
              } /* gateway options */

            ]; /* properties contents */
          } /* properties */

        ]; /* contents */
      } /* outermost pane */
    ];
  }

]



